<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:jpa="http://www.springframework.org/schema/data/jpa"
	xmlns:tx="http://www.springframework.org/schema/tx"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
http://www.springframework.org/schema/data/jpa http://www.springframework.org/schema/data/jpa/spring-jpa-1.0.xsd
http://www.springframework.org/schema/tx http://www.springframework.org/schema/tx/spring-tx-4.0.xsd">

	<!-- Configures the database connection. -->
	<bean id="hikariConfig" class="com.zaxxer.hikari.HikariConfig">
		<property name="driverClassName" value="${APP_DB_DRIVER}" />
		<!-- <property name="driverClassName" value="org.postgresql.Driver" /> -->
		<property name="jdbcUrl" value="${DATASOURCE_URL}" />
		<property name="username" value="${APP_DB_ROLE}" />
		<property name="password" value="${APP_DB_PASSWORD}" />
	</bean>

	<!-- Creates the datasource bean. -->
	<bean id="dataSource" class="com.zaxxer.hikari.HikariDataSource">
		<constructor-arg index="0" ref="hikariConfig" />
	</bean>

	<!-- Creates the transaction manager bean that integrates the used JPA provider
		with the Spring transaction mechanism. -->
	<bean id="transactionManager"
		class="org.springframework.orm.jpa.JpaTransactionManager">
		<property name="entityManagerFactory"
			ref="entityManagerFactory" />
	</bean>

	<!-- Enables annotation-driven transaction management. -->
	<tx:annotation-driven />

	<!-- Creates the bean that creates the JPA entity manager factory. -->
	<bean id="entityManagerFactory"
		class="org.springframework.orm.jpa.LocalContainerEntityManagerFactoryBean">
		<!-- <property name="persistenceXmlLocation" value="classpath:persistence.xml"
			/> -->
		<property name="dataSource" ref="dataSource" />
		<property name="persistenceUnitName" value="restfulPU" />
		<property name="jpaVendorAdapter">
			<bean id="jpaAdapter"
				class="org.springframework.orm.jpa.vendor.EclipseLinkJpaVendorAdapter">
				<property name="databasePlatform"
					value="${DB_PLATTFORM}" />
				<property name="showSql" value="true" />
				<property name="generateDdl" value="true" />
			</bean>
		</property>
		<property name="jpaDialect">
			<bean
				class="org.springframework.orm.jpa.vendor.EclipseLinkJpaDialect" />
		</property>
		<property name="jpaPropertyMap">
			<map>
				<entry key="eclipselink.db.schema" value="${DB_SCHEMA}" />
				<entry key="eclipselink.weaving" value="false" />
				<entry key="eclipselink.cache.shared.default" value="false"/>
				<entry key="eclipselink.session.customizer" value="org.eclipse.openk.sp.db.config.DbSessionCustomizer" />
			</map>
		</property>
		<property name="packagesToScan"
			value="org.eclipse.openk.sp.db.model" />
	</bean>
	<jpa:repositories
		base-package="org.eclipse.openk.sp.db.dao" />
</beans>